تبلیغات

خطای tf.placeholder() is not compatible with eager پکیج tensorflow پایتون

ممکن است به هنگام کار با پکیج tensorflow در پایتون و موقع استفاده از تابع placeholder، با خطای زیر روبرو شوید:

RuntimeError: tf.placeholder() is not compatible with eager execution.

برای رفع این خطا، کافیست تا eager execution را با دستور زیر غیرفعال کنید:

tf.compat.v1.disable_eager_execution()

همچنین منظور از tf، ماژول tensorflow می‌باشد؛ که برفرض با این نام وارد پروژه شده است.

پاسخ دهید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *

cp-codfk

نظرات ثبت شده بدون دیدگاه

توضیحات پیشنهادی نظرات اشتراک